## ros-humble-pcl-ros 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pcl_ros)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -fPIC)
endif()

## Find system dependencies
find_package(Eigen3 REQUIRED)
find_package(PCL REQUIRED QUIET COMPONENTS core features filters io segmentation surface)

## Find ROS package dependencies
find_package(ament_cmake REQUIRED)
find_package(pcl_conversions REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_ros REQUIRED)

set(dependencies
  pcl_conversions
  rclcpp
  sensor_msgs
  geometry_msgs
  tf2
  tf2_geometry_msgs
  tf2_ros
  EIGEN3
  PCL
)

include_directories(
  include
  ${PCL_INCLUDE_DIRS}
)

## Declare the pcl_ros_tf library
add_library(pcl_ros_tf src/transforms.cpp)
ament_target_dependencies(pcl_ros_tf
  ${dependencies}
)
target_link_libraries(pcl_ros_tf ${PCL_LIBRARIES})

### Nodelets
#
### Declare the pcl_ros_io library
#add_library(pcl_ros_io
#  src/pcl_ros/io/bag_io.cpp
#  src/pcl_ros/io/concatenate_data.cpp
#  src/pcl_ros/io/concatenate_fields.cpp
#  src/pcl_ros/io/io.cpp
#  src/pcl_ros/io/pcd_io.cpp
#)
#target_link_libraries(pcl_ros_io pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
#class_loader_hide_library_symbols(pcl_ros_io)
#
### Declare the pcl_ros_features library
#add_library(pcl_ros_features
#  src/pcl_ros/features/feature.cpp
#  # Compilation is much faster if we include all the following CPP files in feature.cpp
#  src/pcl_ros/features/boundary.cpp
#  src/pcl_ros/features/fpfh.cpp
#  src/pcl_ros/features/fpfh_omp.cpp
#  src/pcl_ros/features/shot.cpp
#  src/pcl_ros/features/shot_omp.cpp
#  src/pcl_ros/features/moment_invariants.cpp
#  src/pcl_ros/features/normal_3d.cpp
#  src/pcl_ros/features/normal_3d_omp.cpp
#  src/pcl_ros/features/pfh.cpp
#  src/pcl_ros/features/principal_curvatures.cpp
#  src/pcl_ros/features/vfh.cpp
#)
#target_link_libraries (pcl_ros_features ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
#add_dependencies(pcl_ros_features ${PROJECT_NAME}_gencfg)
#class_loader_hide_library_symbols(pcl_ros_features)
#
#
### Declare the pcl_ros_filters library
#add_library(pcl_ros_filters
#  src/pcl_ros/filters/extract_indices.cpp
#  src/pcl_ros/filters/filter.cpp
#  src/pcl_ros/filters/passthrough.cpp
#  src/pcl_ros/filters/project_inliers.cpp
#  src/pcl_ros/filters/radius_outlier_removal.cpp
#  src/pcl_ros/filters/statistical_outlier_removal.cpp
#  src/pcl_ros/filters/voxel_grid.cpp
#  src/pcl_ros/filters/crop_box.cpp
#)
#target_link_libraries(pcl_ros_filters pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
#add_dependencies(pcl_ros_filters ${PROJECT_NAME}_gencfg)
#class_loader_hide_library_symbols(pcl_ros_filters)
#
### Declare the pcl_ros_segmentation library
#add_library (pcl_ros_segmentation
#  src/pcl_ros/segmentation/extract_clusters.cpp
#  src/pcl_ros/segmentation/extract_polygonal_prism_data.cpp
#  src/pcl_ros/segmentation/sac_segmentation.cpp
#  src/pcl_ros/segmentation/segment_differences.cpp
#  src/pcl_ros/segmentation/segmentation.cpp
#)
#target_link_libraries(pcl_ros_segmentation pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
#add_dependencies(pcl_ros_segmentation ${PROJECT_NAME}_gencfg)
#class_loader_hide_library_symbols(pcl_ros_segmentation)
#
### Declare the pcl_ros_surface library
#add_library (pcl_ros_surface
#  src/pcl_ros/surface/surface.cpp
#  # Compilation is much faster if we include all the following CPP files in surface.cpp
#  src/pcl_ros/surface/convex_hull.cpp
#  src/pcl_ros/surface/moving_least_squares.cpp
#)
#target_link_libraries(pcl_ros_surface ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
#add_dependencies(pcl_ros_surface ${PROJECT_NAME}_gencfg)
#class_loader_hide_library_symbols(pcl_ros_surface)
#
### Tools
#
#add_executable(pcd_to_pointcloud tools/pcd_to_pointcloud.cpp)
#target_link_libraries(pcd_to_pointcloud ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
#
#add_executable(pointcloud_to_pcd tools/pointcloud_to_pcd.cpp)
#target_link_libraries(pointcloud_to_pcd ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
#
#add_executable(bag_to_pcd tools/bag_to_pcd.cpp)
#target_link_libraries(bag_to_pcd pcl_ros_tf ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
#
#add_executable(convert_pcd_to_image tools/convert_pcd_to_image.cpp)
#target_link_libraries(convert_pcd_to_image ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
#
#add_executable(convert_pointcloud_to_image tools/convert_pointcloud_to_image.cpp)
#target_link_libraries(convert_pointcloud_to_image ${Boost_LIBRARIES} ${catkin_LIBRARIES} ${PCL_LIBRARIES})
#
### Downloads
#
#catkin_download(table_scene_lms400.pcd http://download.ros.org/data/pcl/table_scene_lms400.pcd
#  DESTINATION ${CMAKE_CURRENT_SOURCE_DIR}/samples/data
#  MD5 546b5b4822fb1de21b0cf83d41ad6683
#)
#add_custom_target(download ALL DEPENDS download_extra_data)

#############
## Testing ##
#############

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  #add_rostest_gtest(test_tf_message_filter_pcl tests/test_tf_message_filter_pcl.launch src/test/test_tf_message_filter_pcl.cpp)
  #target_link_libraries(test_tf_message_filter_pcl ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
  #add_rostest(samples/pcl_ros/features/sample_normal_3d.launch ARGS gui:=false)
  #add_rostest(samples/pcl_ros/filters/sample_statistical_outlier_removal.launch ARGS gui:=false)
  #add_rostest(samples/pcl_ros/filters/sample_voxel_grid.launch ARGS gui:=false)
  #add_rostest(samples/pcl_ros/segmentation/sample_extract_clusters.launch ARGS gui:=false)
  #add_rostest(samples/pcl_ros/surface/sample_convex_hull.launch ARGS gui:=false)
endif()


install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS
    pcl_ros_tf
#    pcl_ros_io
#    pcl_ros_features
#    pcl_ros_filters
#    pcl_ros_surface
#    pcl_ros_segmentation
#    pcd_to_pointcloud
#    pointcloud_to_pcd
#    bag_to_pcd
#    convert_pcd_to_image
#    convert_pointcloud_to_image
  EXPORT export_pcl_ros
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  INCLUDES DESTINATION include
)

install(DIRECTORY plugins samples
  DESTINATION share/${PROJECT_NAME})

ament_export_include_directories(include)
ament_export_libraries(pcl_ros_tf)
ament_export_dependencies(${dependencies})
ament_export_targets(export_pcl_ros HAS_LIBRARY_TARGET)
ament_package()

=== debian/changelog ===
ros-humble-pcl-ros (2.4.0-4jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Paul Bovbel <paul@bovbel.com>  Wed, 20 Apr 2022 01:36:20 -0000

ros-humble-pcl-ros (1.6.2-4jammy) jammy; urgency=high

  * Fix exported includes in Ubuntu Artful
  * Increase limits on CropBox filter parameters
  * Contributors: James Ward, Jiri Horner

 -- Paul Bovbel <paul@bovbel.com>  Sun, 20 May 2018 07:00:00 -0000

ros-humble-pcl-ros (1.6.1-4jammy) jammy; urgency=high

  * Add 1.6.0 section to CHANGELOG.rst
  * Fix the use of Eigen3 in cmake
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Tue, 08 May 2018 07:00:00 -0000

ros-humble-pcl-ros (1.6.0-4jammy) jammy; urgency=high

  * Fix build and update maintainers
  * Add message_filters to find_package
  * Remove unnecessary dependency on genmsg
  * Contributors: Paul Bovbel, Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Mon, 30 Apr 2018 07:00:00 -0000

ros-humble-pcl-ros (1.5.4-4jammy) jammy; urgency=high

  * update to use non deprecated pluginlib macro
  * Fix config path of sample_voxel_grid.launch
  * remove hack now that upstream pcl has been rebuilt
  * Looser hzerror in test for extract_clusters to make it pass on Travis
  * Add sample & test for surface/convex_hull
  * Add sample & test for segmentation/extract_clusters.cpp
  * Add sample & test for io/concatenate_data.cpp
  * Add sample & test for features/normal_3d.cpp
  * Organize samples of pcl_ros/features
  * Add test arg to avoid duplicated testing
  * LazyNodelet for features/*
  * LazyNodelet for filters/ProjectInliers
  * Refactor io/PCDReader and io/PCDWriter as child of PCLNodelet
  * LazyNodelet for io/PointCloudConcatenateFieldsSynchronizer
  * LazyNodelet for io/PointCloudConcatenateDataSynchronizer
  * LazyNodelet for segmentation/SegmentDifferences
  * LazyNodelet for segmentation/SACSegmentationFromNormals
  * LazyNodelet for segmentation/SACSegmentation
  * LazyNodelet for segmentation/ExtractPolygonalPrismData
  * LazyNodelet for segmentation/EuclideanClusterExtraction
  * LazyNodelet for surface/MovingLeastSquares
  * LazyNodelet for surface/ConvexHull2D
  * Add missing COMPONENTS of PCL
  * Inherit NodeletLazy for pipeline with less cpu load
  * Set leaf_size 0.02
  * Install samples
  * Add sample and test for pcl/StatisticalOutlierRemoval
    Conflicts:
    pcl_ros/CMakeLists.txt
  * Add sample and test for pcl/VoxelGrid
    Conflicts:
    pcl_ros/CMakeLists.txt
  * no need to remove duplicates
  * spourious line change
  * remove now unnecessary build_depend on qtbase5
  * exclude PCL IO libraries exporting Qt flag
  * find only PCL components used instead of all PCL
  * Remove dependency on vtk/libproj-dev (#145 <https://github.com/ros-perception/perception_pcl/issues/145>)
    * Remove dependency on vtk/libproj-dev
    These dependencies were introduced in #124 <https://github.com/ros-perception/perception_pcl/issues/124> to temporarily fix
    missing / wrong dependencies in upstream vtk. This hack is no longer
    necessary, since fixed vtk packages have been uploaded to
    packages.ros.org (see #124 <https://github.com/ros-perception/perception_pcl/issues/124> and ros-infrastructure/reprepro-updater#32 <https://github.com/ros-infrastructure/reprepro-updater/issues/32>).
    * Remove vtk hack from CMakeLists.txt
  * Contributors: Kentaro Wada, Mikael Arguedas

 -- Paul Bovbel <paul@bovbel.com>  Sat, 31 Mar 2018 07:00:00 -0000

ros-humble-pcl-ros (1.5.3-4jammy) jammy; urgency=high

  * Add dependency on qtbase5-dev for find_package(Qt5Widgets)
    See https://github.com/ros-perception/perception_pcl/pull/117#issuecomment-298158272 for detail.
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Wed, 03 May 2017 07:00:00 -0000

ros-humble-pcl-ros (1.5.2-4jammy) jammy; urgency=high

  * Find Qt5Widgets to fix -lQt5::Widgets error
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Sat, 29 Apr 2017 07:00:00 -0000

ros-humble-pcl-ros (1.5.1-4jammy) jammy; urgency=high

  * Add my name as a maintainer
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Wed, 26 Apr 2017 07:00:00 -0000

ros-humble-pcl-ros (1.5.0-4jammy) jammy; urgency=high

  * Fix lib name duplication error in ubunt:zesty
  * Detect automatically the version of PCL in cmake
  * Install xml files declaring nodelets
  * Fix syntax of nodelet manifest file by splitting files for each library.
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Tue, 25 Apr 2017 07:00:00 -0000

ros-humble-pcl-ros (1.4.0-4jammy) jammy; urgency=high

  * Fixup libproj-dev rosdep
  * Add build depend on libproj, since it's not provided by vtk right now
  * manually remove dependency on vtkproj from PCL_LIBRARIES
  * Remove python-vtk for kinetic-devel, see issue #44 <https://github.com/ros-perception/perception_pcl/issues/44>
  * Contributors: Jackie Kay, Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 22 Apr 2016 07:00:00 -0000

ros-humble-pcl-ros (1.3.0-4jammy) jammy; urgency=high

  * cleanup broken library links
    All removed library names are included in ${PCL_LIBRARIES}.
    However, the plain library names broke catkin's overlay mechanism:
    Where ${PCL_LIBRARIES} could point to a local installation of the PCL,
    e.g. pcd_ros_segmentation might still link to the system-wide installed version
    of pcl_segmentation.
  * Fixed test for jade-devel. Progress on #92 <https://github.com/ros-perception/perception_pcl/issues/92>
  * commented out test_tf_message_filter_pcl
    Until ros/geometry#80 <https://github.com/ros/geometry/issues/80> has been merged the test will fail.
  * fixed indentation and author
  * Adds a test for tf message filters with pcl pointclouds
  * specialized HasHeader, TimeStamp, FrameId
    - HasHeader now returns false
    - TimeStamp and FrameId specialed for pcl::PointCloud<T> for any point type T


=== debian/control ===
Source: ros-humble-pcl-ros
Section: misc
Priority: optional
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libpcl-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-geometry-msgs, ros-humble-pcl-conversions, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/perception_pcl
Standards-Version: 3.9.2

Package: ros-humble-pcl-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libpcl-dev, ros-humble-geometry-msgs, ros-humble-pcl-conversions, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: PCL (Point Cloud Library) ROS interface stack.
 PCL-ROS is the preferred bridge for 3D applications involving n-D Point Clouds and 3D geometry processing in ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pcl-ros//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-pcl-ros 2.4.3

=== debian/changelog ===
ros-humble-pcl-ros (2.4.3-2bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Paul Bovbel <paul@bovbel.com>  Fri, 23 Aug 2024 05:46:40 -0000

ros-humble-pcl-ros (1.6.2-2bookworm) bookworm; urgency=high

  * Fix exported includes in Ubuntu Artful
  * Increase limits on CropBox filter parameters
  * Contributors: James Ward, Jiri Horner

 -- Paul Bovbel <paul@bovbel.com>  Sat, 19 May 2018 16:00:00 -0000

ros-humble-pcl-ros (1.6.1-2bookworm) bookworm; urgency=high

  * Add 1.6.0 section to CHANGELOG.rst
  * Fix the use of Eigen3 in cmake
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Mon, 07 May 2018 16:00:00 -0000

ros-humble-pcl-ros (1.6.0-2bookworm) bookworm; urgency=high

  * Fix build and update maintainers
  * Add message_filters to find_package
  * Remove unnecessary dependency on genmsg
  * Contributors: Paul Bovbel, Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Sun, 29 Apr 2018 16:00:00 -0000

ros-humble-pcl-ros (1.5.4-2bookworm) bookworm; urgency=high

  * update to use non deprecated pluginlib macro
  * Fix config path of sample_voxel_grid.launch
  * remove hack now that upstream pcl has been rebuilt
  * Looser hzerror in test for extract_clusters to make it pass on Travis
  * Add sample & test for surface/convex_hull
  * Add sample & test for segmentation/extract_clusters.cpp
  * Add sample & test for io/concatenate_data.cpp
  * Add sample & test for features/normal_3d.cpp
  * Organize samples of pcl_ros/features
  * Add test arg to avoid duplicated testing
  * LazyNodelet for features/*
  * LazyNodelet for filters/ProjectInliers
  * Refactor io/PCDReader and io/PCDWriter as child of PCLNodelet
  * LazyNodelet for io/PointCloudConcatenateFieldsSynchronizer
  * LazyNodelet for io/PointCloudConcatenateDataSynchronizer
  * LazyNodelet for segmentation/SegmentDifferences
  * LazyNodelet for segmentation/SACSegmentationFromNormals
  * LazyNodelet for segmentation/SACSegmentation
  * LazyNodelet for segmentation/ExtractPolygonalPrismData
  * LazyNodelet for segmentation/EuclideanClusterExtraction
  * LazyNodelet for surface/MovingLeastSquares
  * LazyNodelet for surface/ConvexHull2D
  * Add missing COMPONENTS of PCL
  * Inherit NodeletLazy for pipeline with less cpu load
  * Set leaf_size 0.02
  * Install samples
  * Add sample and test for pcl/StatisticalOutlierRemoval
    Conflicts:
    pcl_ros/CMakeLists.txt
  * Add sample and test for pcl/VoxelGrid
    Conflicts:
    pcl_ros/CMakeLists.txt
  * no need to remove duplicates
  * spourious line change
  * remove now unnecessary build_depend on qtbase5
  * exclude PCL IO libraries exporting Qt flag
  * find only PCL components used instead of all PCL
  * Remove dependency on vtk/libproj-dev (#145 <https://github.com/ros-perception/perception_pcl/issues/145>)
    * Remove dependency on vtk/libproj-dev
    These dependencies were introduced in #124 <https://github.com/ros-perception/perception_pcl/issues/124> to temporarily fix
    missing / wrong dependencies in upstream vtk. This hack is no longer
    necessary, since fixed vtk packages have been uploaded to
    packages.ros.org (see #124 <https://github.com/ros-perception/perception_pcl/issues/124> and ros-infrastructure/reprepro-updater#32 <https://github.com/ros-infrastructure/reprepro-updater/issues/32>).
    * Remove vtk hack from CMakeLists.txt
  * Contributors: Kentaro Wada, Mikael Arguedas

 -- Paul Bovbel <paul@bovbel.com>  Fri, 30 Mar 2018 16:00:00 -0000

ros-humble-pcl-ros (1.5.3-2bookworm) bookworm; urgency=high

  * Add dependency on qtbase5-dev for find_package(Qt5Widgets)
    See https://github.com/ros-perception/perception_pcl/pull/117#issuecomment-298158272 for detail.
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Tue, 02 May 2017 16:00:00 -0000

ros-humble-pcl-ros (1.5.2-2bookworm) bookworm; urgency=high

  * Find Qt5Widgets to fix -lQt5::Widgets error
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Fri, 28 Apr 2017 16:00:00 -0000

ros-humble-pcl-ros (1.5.1-2bookworm) bookworm; urgency=high

  * Add my name as a maintainer
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Tue, 25 Apr 2017 16:00:00 -0000

ros-humble-pcl-ros (1.5.0-2bookworm) bookworm; urgency=high

  * Fix lib name duplication error in ubunt:zesty
  * Detect automatically the version of PCL in cmake
  * Install xml files declaring nodelets
  * Fix syntax of nodelet manifest file by splitting files for each library.
  * Contributors: Kentaro Wada

 -- Paul Bovbel <paul@bovbel.com>  Mon, 24 Apr 2017 16:00:00 -0000

ros-humble-pcl-ros (1.4.0-2bookworm) bookworm; urgency=high

  * Fixup libproj-dev rosdep
  * Add build depend on libproj, since it's not provided by vtk right now
  * manually remove dependency on vtkproj from PCL_LIBRARIES
  * Remove python-vtk for kinetic-devel, see issue #44 <https://github.com/ros-perception/perception_pcl/issues/44>
  * Contributors: Jackie Kay, Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 21 Apr 2016 16:00:00 -0000

ros-humble-pcl-ros (1.3.0-2bookworm) bookworm; urgency=high

  * cleanup broken library links
    All removed library names are included in ${PCL_LIBRARIES}.
    However, the plain library names broke catkin's overlay mechanism:
    Where ${PCL_LIBRARIES} could point to a local installation of the PCL,
    e.g. pcd_ros_segmentation might still link to the system-wide installed version
    of pcl_segmentation.
  * Fixed test for jade-devel. Progress on #92 <https://github.com/ros-perception/perception_pcl/issues/92>
  * commented out test_tf_message_filter_pcl
    Until ros/geometry#80 <https://github.com/ros/geometry/issues/80> has been merged the test will fail.
  * fixed indentation and author
  * Adds a test for tf message filters with pcl pointclouds
  * specialized HasHeader, TimeStamp, FrameId
    - HasHeader now returns false


=== debian/control ===
Source: ros-humble-pcl-ros
Section: misc
Priority: optional
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libpcl-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-geometry-msgs, ros-humble-pcl-conversions, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/perception_pcl
Standards-Version: 3.9.2

Package: ros-humble-pcl-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libpcl-common1.13, libpcl-features1.13, libpcl-filters1.13, libpcl-io1.13, libpcl-segmentation1.13, libpcl-surface1.13, ros-humble-geometry-msgs, ros-humble-pcl-conversions, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: PCL (Point Cloud Library) ROS interface stack.
 PCL-ROS is the preferred bridge for 3D applications involving n-D Point Clouds and 3D geometry processing in ROS.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pcl-ros//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pcl-ros//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-pcl-ros//opt/ros/humble/opt/pcl_ros/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
